--- title: "CalendarSet" slug: "safran-project-integration-api-calendarset" updated: 2026-04-20T13:14:27Z published: 2026-04-27T11:22:47Z canonical: "docs.safran.com/safran-project-integration-api-calendarset" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.safran.com/llms.txt > Use this file to discover all available pages before exploring further. # CalendarSet ## CalendarSet ### /v1/calendarset ### Example for calling: http://server/v1/CalendarSet?id=2094 - retrieves all Calendars from a calendar set with CalendarSet id 2094 http://server/v1/CalendarSet?network_id=94 - retrieves Calendars from a calendar set related to a network with network ID 94 http://server/v1/CalendarSet?network_id=94&meta_field_select=CN - retrieves Calendars from a calendar set related to a network with network id 94, including calendars and non-working period details http://server/v1/CalendarSet?network_id=94&meta_field_select=0 - retrieves Calendars from a calendar set related to a network with network id 94, excluding calendars and non-working period details http://server/v1/CalendarSet?meta_field_select=0&owner=safran - retrieves all Calendars from a calendar set where the owner is safran, excluding calendars and non-working period details ![information16x16](https://cdn.document360.io/50ded092-9d8c-4eb9-8e6f-51ce28d62ac8/Images/Documentation/information16x16.png) The calendar set id is found in the [Project Response Fields as "cal_id"](/v1/docs/projects#projects_response_fields). ### Allowed Methods: [GET] API Controller: **CalendarSet** ### Description: Lists Calendar set for the supplied calendar set id. ### Parameters: | **Name** | **Type** | **Description** | **Notes** | | --- | --- | --- | --- | | id | integer | Calendar Set ID | | | network_id | integer | Network ID | Mandatory when "SafranWebApiOwnerVerificationDuringApiCalls" is in use | | owner | string | Owner of the calendar set | Relates to "SafranWebApiOwnerVerificationDuringApiCalls" in [Application Settings](/v1/docs/application-settings) | | meta_field_select | string | List of fields to include in the response, see [Response Fields](/docs/safran-project-integration-api-calendarset#calendarset_response_fields) | Option to decide whether the Calendars and NoneWorkingPeriods elements are to be included in the response fields. If empty or missing, all fields will be included. 0 = Do not include Calendars and NoneWorkingPeriods elements C = Include Calendars but not NoneWorkingPeriods elements N = Include NoneWorkingPeriods, this will also force inclusion of Calendars elements. | - Combining id with network_id is not supported. - When "SafranWebApiOwnerVerificationDuringApiCalls" is used, the CalendarSet retrieved can only be linked to projects owned by the same owner as the Calendar Set. Should the CalendarSet be linked to other projects owned by others, the API will return failure. - When meta_field_select=0 and the "SafranWebApiOwnerVerificationDuringApiCalls" are in use, the owner is mandatory, but either of the IDs is not. ### Response Fields #### CalendarSet | **Name** | **Type** | **Description** | | --- | --- | --- | | cal_id | integer | Calendar set ID | | cal_name | string | Calendar set name | | cal_start | datetime | Calendar set start date | | cal_finish | datetime | Calendar set finish date | | owner | string | Owner (Username) | | cal_type | string | d=days, h=hours, m=minutes | | Calendars | [calendar[]](/docs/safran-project-integration-api-calendarset#calendarset_response_fields-Calendar) | Collection of defined calendar objects | #### Calendar | **Name** | **Type** | **Description** | **Label** | | --- | --- | --- | --- | | Cal_id | integer | Calendar set ID | | | Wpn | integer | Calendar number | Calendar | | Description | string | Description | Description | | Hours | double | Work hours per day | Hours/day | | Units_pr_week | double | Planned 'work days per week', (used for conversion to days when duration is given by weeks) | Days/Week | | NonWorkingPeriods | [NonWorkingPeriod[]](/docs/safran-project-integration-api-calendarset#calendarset_response_fields-NonWorkingPeriod) | Collection of defined NonWorkingPeriod objects | None working days | | iseditable | boolean | Indicates whether the calendar can be edited. A calendar that is used in historical data is read-only. This value is set by the API and cannot be modified by the caller. | | * Part of the screenshot below #### NonWorkingPeriod | **Name** | **Type** | **Description** | **Label** * | | --- | --- | --- | --- | | Cal_id | int | Calendar set ID | | | Wpn | int | Calendar number | | | Seq | int | Unique sequence number | | | Rest_from | datetime | Rest from date/time | From Date | | Rest_until | datetime | Rest until date/time | Until Date | | Rest_from_hrs | short | Rest from hours | From Hours | | Rest_until_hrs | short | Rest until hours | Until Hours | | Rest_from_min | short | Rest from minute | From Hours | | Rest_until_min | short | Rest until minute | Until Hours | | Day_of_week | short | Rest day of Week (Available values are 1,2,3,4,5,6,7,8,9) | Weekday(s) | * Part of the screenshot below **Sample Calendar set shown in Safran Project:** ![API Methods Calendar Sets Window](https://cdn.document360.io/50ded092-9d8c-4eb9-8e6f-51ce28d62ac8/Images/Documentation/API%20Methods%20Calendar%20Sets%20Window.png) **Calendar Db model overview:** ![API Methods Calendar DB Model](https://cdn.document360.io/50ded092-9d8c-4eb9-8e6f-51ce28d62ac8/Images/Documentation/API%20Methods%20Calendar%20DB%20Model.png) **Calendar API class structure overview:** ![API Methods Class Structure](https://cdn.document360.io/50ded092-9d8c-4eb9-8e6f-51ce28d62ac8/Images/Documentation/API%20Methods%20Class%20Structure.png) **Sample JSON** ``` [ { "Cal_id": 2094, "Cal_name": "Sample Calendar Set", "Cal_start": "2015-01-01T00:00:00", "Cal_finish": "2036-12-31T00:00:00", "Owner": "SA", "Cal_type": "d", "Calendars": [ { "Hours": 7.5, "Description": "Calendar 0", "Cal_id": 2094, "Wpn": 0, "Units_pr_week": 7, "NonWorkingPeriods": [ { "Cal_id": 2094, "Wpn": 0, "Day_of_week": 6, "Rest_from_hrs": 0, "Rest_until_hrs": 0, "Seq": 712015, "Rest_from_min": 0, "Rest_until_min": 0 }, { "Cal_id": 2094, "Wpn": 0, "Day_of_week": 7, "Rest_from_hrs": 0, "Rest_until_hrs": 0, "Seq": 712016, "Rest_from_min": 0, "Rest_until_min": 0 } ] } ] } ] ```